Package com.dropbox.core.v2.files
Class SearchV2Builder
java.lang.Object
com.dropbox.core.v2.files.SearchV2Builder
The request builder returned by
DbxUserFilesRequests.searchV2Builder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withIncludeHighlights(Boolean includeHighlights) Deprecated.withMatchFieldOptions(SearchMatchFieldOptions matchFieldOptions) Set value for optional field.withOptions(SearchOptions options) Set value for optional field.
-
Method Details
-
withOptions
Set value for optional field.- Parameters:
options- Options for more targeted search results.- Returns:
- this builder
-
withMatchFieldOptions
Set value for optional field.- Parameters:
matchFieldOptions- Options for search results match fields.- Returns:
- this builder
-
withIncludeHighlights
Deprecated.Set value for optional field.- Parameters:
includeHighlights- Field is deprecated. Deprecated and moved this option to SearchMatchFieldOptions.- Returns:
- this builder
-
start
Issues the request.- Throws:
SearchErrorExceptionDbxException
-